Home     |     .Net Programming    |     cSharp Home    |     Sql Server Home    |     Javascript / Client Side Development     |     Ajax Programming

Ruby on Rails Development     |     Perl Programming     |     C Programming Language     |     C++ Programming     |     IT Jobs

Python Programming Language     |     Laptop Suggestions?    |     TCL Scripting     |     Fortran Programming     |     Scheme Programming Language


 
 
Cervo Technologies
The Right Source to Outsource

MS Dynamics CRM 3.0

Asp.Net Programming

'System.ServiceModel/ServiceHostingEnvironment' configuration section cannot be created.


Hi All,

I deployed an ASP.NET Web Service on Server1 and it worked fine.
However when I deployed the same Web Service on Server2 I am getting the
following error,

The 'System.ServiceModel/ServiceHostingEnvironment' configuration section
cannot be created.
The Machin.config file is missing information.
Verify that this configuration section is properly registered and that you
have correctly splled the section name.
For Windoes Communication Foundation sections, run ServiceModelReg.exe -i to
fix this error.
.........................

I never saw this error. What could be wrong?

Any pointer?

Thanks in advance
Sachin

On Jun 5, 10:10 pm, "Sachin" <Sachi@Email.com> wrote:

Verify the version of ASP.NET.

aspnet_regiis -ls
aspnet_regiis -i
etc...

-----------------------------------------------Reply-----------------------------------------------

On both server its .NET 2.0

"Alexey Smirnov" <alexey.smir@gmail.com> wrote in message

news:1181074886.601979.301780@n4g2000hsb.googlegroups.com...

On Jun 5, 11:22 pm, "Sachin" <Sachi@Email.com> wrote:

> On both server its .NET 2.0

Did you installed the .NET 3.0 on the Server2?

-----------------------------------------------Reply-----------------------------------------------
No.

This is what I get at the bottom of the error page.

Version Information: Microsoft .NET Framework Version: 2.0.50727.42; ASP.NET
Version:2.0.50727.210

"Alexey Smirnov" <alexey.smir@gmail.com> wrote in message

news:1181079744.934238.48060@q66g2000hsg.googlegroups.com...

re:
!> This is what I get at the bottom of the error page.
!> Version Information: Microsoft .NET Framework Version: 2.0.50727.42;
!> ASP.NET Version:2.0.50727.210

That looks like a W2K3 R2 install on Server2. Is it ?

Is it the same version which is installed on Server1 ?

Juan T. Llibre, asp.net MVP
asp.net faq : http://asp.net.do/faq/
foros de asp.net, en espaol : http://asp.net.do/foros/
======================================

On Jun 5, 11:58 pm, "Sachin" <Sachi@Email.com> wrote:

> No.

I don't know what your service does, but Windows Communication
Foundation required .NET 3.0
Add to del.icio.us | Digg this | Stumble it | Powered by Megasolutions Inc